package	jp.co.sds_corp.transfer;

import java.io.Serializable;
import java.util.EventListener;

/**
* データ受信イベントを受け取るオブジェクトのためのインターフェースです。
*/
public interface IReceiveListener extends EventListener, Serializable
{
	/**
	* データを受信したときに呼び出されます。
	* @param	e		受信したデータを指定します。
	*/
	public void received( ReceiveEvent e ) throws Exception;

	/**
	* ソースの状態に何らかの変更があったときに呼び出されます。
	* @param	e		イベントソースおよび状態の変更内容を指定します。
	*/
	public void statusChanged( StatusChangeEvent e ) throws Exception;
}
