package	jp.co.sds_corp.transfer.layout;


/**
* フォーマット文字列を解析します。
*/
public class SimpleFormatParser extends FormatParser
{
	/**
	* 指定されたフォーマット文字列でFormatParserを作成します。
	* @param	fmt		フォーマット文字列
	*/
	public SimpleFormatParser( String fmt ) {
		super( fmt );
	}

	/**
	* 指定されたコンバータを生成します。
	* @param	c		コンバータを指定する文字
	* @return	コンバータ
	*/
	protected IConverter createConverter( char c ) {
		String opt;
		IConverter conv = null;
		switch ( c ) {
		case 'd':
			opt = getOption();
			conv = new DateConverter( DateConverter.TYPE_NOW, opt );
			break;
		case 'U':
			opt = getOption();
			conv = new DateConverter( DateConverter.TYPE_UPD, opt );
			break;
		default:
			break;
		}
		return conv;
	}

}
